import java.util.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import stec.servlet.http.*;

public class Record extends HttpServlet
{
  public void doPost( HttpServletRequest req,
    HttpServletResponse res )
    throws ServletException, IOException
    {
      ServletOutputStream out = res.getOutputStream();
      String output = "Your message is saved.";
      res.setContentType( "text/xml" );

      try
      {
        ServletContext context = getServletContext();
        String basedir = context.getRealPath( "./audio/" );
        File f = new File( basedir );
        f.mkdirs();

        Hashtable ht = MultiPartForm.parse( req,
          f.getCanonicalPath(), 1024*1024 );
      }
      catch( Exception e )
      {
        output = "Your message could not be saved.";
      }
      out.println("<?xml version=\"1.0\"?> " );
      out.println("<vxml version=\"1.0\">");
      out.println("  <form>" );
      out.println("    <block>");
      out.println("     "+output);
      out.println("    </block>" );
      out.println("  </form>" );
      out.println("</vxml>");
    }
}
