import java.io.*; 
import javax.servlet.*; 
import javax.servlet.http.*;
import java.sql.*;
import java.lang.*;
import java.util.*;

public class Books extends HttpServlet
{
  public void doGet( HttpServletRequest req, HttpServletResponse resp )
    throws IOException,
           ServletException
  {
    int numMatches = 0;
    Vector matches = new Vector();

    resp.setContentType( "text/xml" );
    PrintWriter out = resp.getWriter();

    // Load the mySQL JDBC driver
    try
    {
      Class.forName("org.gjt.mm.mysql.Driver").newInstance();
    }
    catch( Exception e )
    {
      out.println( "Error getting database driver." );
    }

    // Connect, query and report
    try
    {
      String DBHost   = "localhost";
      String DBDb     = "Test";
      String DBUser   = "";
      String DBPasswd = "";
      String DBQuery  = "SELECT Title from Books where Topics LIKE \"%"
                        + req.getParameter("keyword") + "%\"";

      Connection conn = DriverManager.getConnection(
        "jdbc:mysql://" + DBHost + "/" + DBDb +
        "?user=" + DBUser + "&password=" + DBPasswd );
                
      // Create a Statement
      Statement stmt = conn.createStatement ();

      ResultSet rs = stmt.executeQuery ( DBQuery );

      while (rs.next ())
      {
        matches.addElement( rs.getString( "Title" ));
        numMatches++;
      }
      conn.close();
    }
    catch( Exception e )
    {
      out.println( e.getMessage() );
    }
    out.println( "<vxml>" );
    out.println( "<form>" );
    if( numMatches == 0 )
    {
      out.println( "<block>No books on that subject were found." );
    }
    else if( numMatches == 1 )
    {
      out.println( "<block>We have one book on this subject. It is " );
      out.println( "<break msecs=\"500\"/>" );
      out.println( matches.elementAt( 0 ));
    }
    else
    {
      out.println( "<block>We have " + numMatches + " books on this subject. They are" );
      for( Enumeration e = matches.elements(); e.hasMoreElements(); )
      {
        out.println( e.nextElement() );
        out.println( "<break msecs=\"500\"/>" );
      }
    }
    out.println( "<break msecs=\"500\"/>" );
    out.println( "</block>" );
    out.println( "</form>" );
    out.println( "</vxml>" );
  }
}
